package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 请货报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbRequisitionorderitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbRequisitionorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRequisitionorderitemsMapper.addSKcBbRequisitionorderitems", pd);
    }

    public List<PageData> findSKcBbRequisitionorderitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbRequisitionorderitemsMapper.selectSKcBbRequisitionorderitemsList", pd);
    }

    public Integer SKcBbRequisitionorderitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbRequisitionorderitemsMapper.SKcBbRequisitionorderitemsRemove", pd);
    }


    public Integer updateSKcBbRequisitionorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRequisitionorderitemsMapper.updateSKcBbRequisitionorderitems", pd);
    }

}
